
Redmine - Defect #6163

Bad CSS class for calendar project menu_item

2010-08-17 21:21 - Jean-Baptiste Barth

Status: Closed Start date: 2010-08-17

Priority: Normal Due date:  

Assignee: Eric Davis % Done: 100%

Category: UI Estimated time: 0.00 hour

Target version: 1.0.1   

Resolution: Fixed Affected version:  

Description

See screenshot attached.

 

It's due to a CSS class name collision with calendar.css, which defines ".calendar". I wonder if it should be fixed in calendar.css or in

classes definitions for our menu items.

Associated revisions

Revision 3950 - 2010-08-19 03:13 - Eric Davis

Scope the calendar popup CSS so it doesn't conflict with the Calendar menu. #6163

Contributed by Adam Soltys

History

#1 - 2010-08-17 21:32 - Eric Davis

- Assignee set to Eric Davis

What theme? I didn't see that when I tested.

#2 - 2010-08-17 21:38 - Jean-Baptiste Barth

Default, but no matter the theme. You get this when calendar.css is included, which happens whenever calendar popups are used on the page I think.

"New issue" tab for instance.

#3 - 2010-08-18 17:03 - Adam Soltys

- File calendar_css_conflict.diff added

I noticed this yesterday too and attempted a fix: http://github.com/asoltys/redmine/tree/calendar_css_conflict

#4 - 2010-08-18 23:14 - Jean-Baptiste Barth

Looks ok to me, thanks. As Eric assigned it to himself, I let him check if he's ok and commit this patch.

#5 - 2010-08-19 03:13 - Eric Davis

- Status changed from New to Resolved

- % Done changed from 0 to 100

- Resolution set to Fixed

Applied your patch Adam, thanks for the fix (r3950).
http://github.com/asoltys/redmine/tree/calendar_css_conflict
https://www.redmine.org/projects/redmine/repository/svn/revisions/3950


To make it easier on me, could you format your patches to the  Commit standards.  (It's new but it will help save me time when applying patches in

git).

#6 - 2010-08-19 06:35 - Eric Davis

- Status changed from Resolved to Closed

Merged to 1.0-stable for release in 1.0.1.
